Loading...
Searching...
No Matches
Opm::Parallel::MpiSerializer Class Reference

Class for serializing and broadcasting data using MPI. More...

`#include <MPISerializer.hpp>`

Inheritance diagram for Opm::Parallel::MpiSerializer:

## Public Member Functions

| MpiSerializer (Parallel::Communication comm)
template<typename... Args>
void | broadcast (RootRank rootrank, Args &&... args)
template<class T>
void | append (T &data, int root=0)
| Serialize and broadcast on root process, de-serialize and append on others.

## Detailed Description

Class for serializing and broadcasting data using MPI.

## Member Function Documentation

## append()

template<class T>

void Opm::Parallel::MpiSerializer::append | ( | T & | data,
|  | int | root = 0 )

inline

Serialize and broadcast on root process, de-serialize and append on others.

Template Parameters

  T | Type of class to broadcast

Parameters

  data | Class to broadcast
  root | Process to broadcast from

The documentation for this class was generated from the following file:

- opm/simulators/utils/MPISerializer.hpp